Skip to main content
POST
/
me
/
passkeys
/
register
/
finish
Finish passkey registration
curl --request POST \
  --url https://api.wacht.dev/me/passkeys/register/finish \
  --header 'Content-Type: application/json' \
  --cookie session_id= \
  --data '{}'
{
  "status": 200,
  "message": "",
  "data": {
    "passkey": {
      "id": "123456789012345678",
      "user_id": "<string>",
      "name": "My iPhone",
      "credential_id": "<string>",
      "transports": [
        "<string>"
      ],
      "backup_eligible": true,
      "device_type": "platform",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Query Parameters

name
string

Custom name for the passkey

Body

application/json

WebAuthn credential response

Response

Passkey registered successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)